OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
ComponentHandler Class Reference

A handler doing "something" on a link graph component. More...

`#include <linkgraphschedule.h>`

Inheritance diagram for ComponentHandler:

## Public Member Functions
virtual | ~ComponentHandler ()
| Destroy the handler.
virtual void | Run (LinkGraphJob &job) const =0
| Run the handler.

## Detailed Description

A handler doing "something" on a link graph component.

It must not keep any state as it is called concurrently from different threads.

Definition at line 23 of file linkgraphschedule.h.

## Constructor & Destructor Documentation

virtual ComponentHandler::~ComponentHandler | ( |  | ) |
| inline virtual

Destroy the handler.

Must be given due to virtual Run.

Definition at line 28 of file linkgraphschedule.h.

## Member Function Documentation

virtual void ComponentHandler::Run | ( | LinkGraphJob & | job | ) | const
| pure virtual

Run the handler.

A link graph handler must not read or write any data outside the given component as that would create a potential desync.

Parameters

  job | Link graph component to run the handler on.

Implemented in MCFHandler< Tpass >, DemandHandler, FlowMapper, and InitHandler.

Referenced by LinkGraphSchedule::Run().

The documentation for this class was generated from the following file:

- src/linkgraph/linkgraphschedule.h